Bug 84661 - core dump in regexec
core dump in regexec
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-19 23:04 EST by Ben Fennema
Modified: 2016-11-24 10:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 06:09:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test c file (282 bytes, text/plain)
2003-02-19 23:06 EST, Ben Fennema
no flags Details

  None (edit)
Description Ben Fennema 2003-02-19 23:04:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.2.1) Gecko/20021217

Description of problem:
A string with a \n causes a coredump in regexec with some patterns.
The same code executes successfully in RH7.3 (a binary built with 8.0 cores on
8.0, and runs on 7.3. a binary built with 7.3 cores on 8.0 and runs on 7.3)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. build testcase.c
2. execute
    

Additional info:
Comment 1 Ben Fennema 2003-02-19 23:06:10 EST
Created attachment 90204 [details]
test c file
Comment 2 Jakub Jelinek 2003-02-20 06:09:26 EST
Cannot reproduce this with glibc-2.3.1-50 (in rawhide).
Guess it has been fixed in one of the numerous posix/reg* bugfixes.

Note You need to log in before you can comment on or make changes to this bug.